%define name	gdl
%define version 2.30.1
%define release %mkrel 1
%define libname %mklibname %name 1
%define libnamedev %mklibname -d %name
%define major 3


Summary: 	Gnome Devtool Libraries
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.gnome.org
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/gdl/%{name}-%{version}.tar.xz
License: 	LGPLv2+
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libgnomeui2-devel
BuildRequires: 	libglade2.0-devel
BuildRequires: 	intltool
BuildRequires: 	chrpath
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta2.

The current pieces of GDL include:

 - A symbol browser bonobo component (symbol-browser-control).

 - A docking widget (gdl).

 - A utility library that also contains the stubs and skels for
   the symbol browser and text editor components (gdl, idl).

%description -l de
Gnome Bibliotheken Devtool
Dieses Paket enthält die Komponenten und Bibliotheken, die unter 
GNOME DEVELLOPMENT TOOLS zum Einsatz kommem, einschließlich gnome-debug, 
Gnome-build und anjuta2. Die aktuelle Stücke von GDL enthalten:
 1. Ein Symbol Browser Bonobo-Komponente (Symbol-Browser-Steuerung).
 2. Eine Docking-Widget (gdl).
 3. Ein Dienstprogramm, Bibliothek, die auch die Stubs und für skels Symbol-Browser 
    und Text-Editor-Komponenten (gdl, idl).



%package -n %libname
Group: System/Libraries
Summary: Gnome Devtool Libraries - shared library
Requires: %name >= %version

%description -n %libname
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta2.

The current pieces of GDL include:

 - A symbol browser bonobo component (symbol-browser-control).

 - A docking widget (gdl).

 - A utility library that also contains the stubs and skels for
   the symbol browser and text editor components (gdl, idl).

%description -n %libname -l de
Gnome Bibliotheken Devtool
Dieses Paket enthält die Komponenten und Bibliotheken, die unter 
GNOME DEVELLOPMENT TOOLS zum Einsatz kommem, einschließlich gnome-debug, 
Gnome-build und anjuta2. Die aktuelle Stücke von GDL enthalten:
 1. Ein Symbol Browser Bonobo-Komponente (Symbol-Browser-Steuerung).
 2. Eine Docking-Widget (gdl).
 3. Ein Dienstprogramm, Bibliothek, die auch die Stubs und für skels Symbol-Browser 
    und Text-Editor-Komponenten (gdl, idl).


%package -n %{libnamedev}
Group: Development/C
Summary: Gnome Devtool Libraries - development components
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Obsoletes: %mklibname -d gdl 1

%description -n %{libnamedev}
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta2.

The current pieces of GDL include:

 - A symbol browser bonobo component (symbol-browser-control).

 - A docking widget (gdl).

 - A utility library that also contains the stubs and skels for
   the symbol browser and text editor components (gdl, idl).

%description -n %{libnamedev} -l de
Entwickler Paket für GDL (Gnome Bibliotheken Devtool).


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name-1.lang
%makeinstall_std
%find_lang %name-1
chrpath -d %buildroot%_libdir/lib*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files -f %name-1.lang
%defattr(-,root,root)
%doc README NEWS MAINTAINERS AUTHORS
%_datadir/%name

%files -n %libname
%defattr(-,root,root)
%_libdir/libgdl-1.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc ChangeLog
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/gtk-doc/html/gdl


%changelog
* Fri Jul 29 2016 adrianomorselli <adrianomorselli> 2.30.1-1uplos2010
- rebuild

* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Wed Jun 23 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version

* Thu Dec 24 2009 texstar at gmail.com 2.28.0-3pclos2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Mon Oct 05 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Mon Jan 05 2009 don_crissti <don_crissti@gmx.com> 2.24.0-1pclos2007
- new version

* Sat Feb 08 2008 Slick50 <linuxgator.org> 0.7.8-1pclos2007
- New version 0.7.8

* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 0.6.1-3pclos2007
- Build for PCLinuxOS 2007

